Name:		logrotate
Version:	3.12.2
Release:	%mkrel 1
Summary:	Rotates, compresses, removes and mails system log files
License:	GPLv2
Group:		File tools
URL:		https://github.com/logrotate/logrotate
Source0:	https://github.com/logrotate/logrotate/releases/download/%{version}/logrotate-%{version}.tar.xz
Source1:	logrotate.conf
Source2:	logrotate.cron
BuildRequires:	popt-devel
BuildRequires:	acl-devel
BuildRequires:	acl
Requires(post):	coreutils

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install

%{__mkdir_p} %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d

%check
%make check

%post
if [ $1 = 1 ]; then
    # installation
    /bin/touch %{_var}/lib/%{name}.status
fi

%files
%doc ChangeLog.md COPYING examples README*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_sysconfdir}/%{name}.d
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/man5/%{name}.conf.5*


%changelog
* Tue May 23 2017 luigiwalser <luigiwalser> 3.12.2-1.mga6
+ Revision: 1104164
- 3.12.2

* Sat Apr 29 2017 luigiwalser <luigiwalser> 3.12.1-1.mga6
+ Revision: 1097990
- 3.12.1

* Sun Jan 01 2017 luigiwalser <luigiwalser> 3.11.0-1.mga6
+ Revision: 1078983
- 3.11.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.10.0-1.mga6
+ Revision: 1045516
- 3.10.0
- update URLs

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.9.2-1.mga6
+ Revision: 927219
- use configure2_5x
- 3.9.2

* Fri Dec 25 2015 luigiwalser <luigiwalser> 3.9.1-1.mga6
+ Revision: 914492
- 3.9.1

* Fri Aug 21 2015 tmb <tmb> 3.8.7-5.mga6
+ Revision: 867780
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.8.7-4.mga5
+ Revision: 746256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.7-3.mga5
+ Revision: 681990
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.8.7-2.mga4
+ Revision: 541348
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 dams <dams> 3.8.7-1.mga4
+ Revision: 495638
- new version 3.8.7

* Thu Aug 01 2013 dams <dams> 3.8.6-1.mga4
+ Revision: 462457
- new version 3.8.6

* Wed Jun 12 2013 dams <dams> 3.8.5-1.mga4
+ Revision: 442066
- new version 3.8.5

* Thu May 23 2013 dams <dams> 3.8.4-1.mga4
+ Revision: 425084
- new version 3.8.4

* Sat Jan 12 2013 umeabot <umeabot> 3.8.3-2.mga3
+ Revision: 358939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.8.3-1.mga3
+ Revision: 308296
- 3.8.3

* Sat Aug 04 2012 luigiwalser <luigiwalser> 3.8.2-1.mga3
+ Revision: 278500
- 3.8.2

* Thu Oct 06 2011 shlomif <shlomif> 3.8.1-1.mga2
+ Revision: 152482
- New version by barjac

* Mon Jul 04 2011 ahmad <ahmad> 3.8.0-1.mga2
+ Revision: 117993
- Update to 3.8.0, fixes:
   CVE-2011-1098
   CVE-2011-1154
   CVE-2011-1155
- Drop patch0, fixed upstream
- Add BR acl-devel and compile with WITH_ACL
- Put 'make test' in a %%check section

* Tue Mar 15 2011 misc <misc> 3.7.9-3.mga1
+ Revision: 71525
- remove old Conflicts
- add requires on coreutils, seen by jbj buildbot
- fix License

  + tmb <tmb>
    - imported package logrotate

